Home//
REST API Reference
/- List side conversations
Add tag to a conversation
Remove tag from a conversation
List all conversations
Creates a conversation
Retrieve a conversation
Update a conversation
Delete a conversation
Search conversations
Reply to a conversation
Manage a conversation
Attach a contact to a conversation
Detach a contact from a group conversation
List handling events
Redact a conversation part
Merge a conversation
Convert a conversation to a ticket
List all deleted conversation IDs
Conversation
Conversation List Item
Conversation Monitor Evaluation
Conversation Scorecard
Conversation Scorecard Evaluator
Conversation Scorecard Evaluator Result
Reviewed Teammate
Merge Conversations Request
List side conversations
List side conversations for a given conversation. Side conversations are internal threads created by teammates from within a conversation.
Each side conversation includes its conversation parts (messages). Results are paginated.
Requires the read_conversations OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/conversations/{id}/side_conversations
- The european API serverhttps://api.eu.intercom.io/conversations/{id}/side_conversations
- The australian API serverhttps://api.au.intercom.io/conversations/{id}/side_conversations
curl -i -X GET \
'https://api.intercom.io/conversations/123/side_conversations?page=1&per_page=25' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful response
The type of the response object.
Value:"side_conversation.list"
Example:"side_conversation.list"
side_conversationsArray of objects(Side Conversation Summary)
An array of side conversation objects.
Response
- Part type - conversation_attribute_updated_by_workflow
- Part type - conversation_attribute_updated_by_admin
- Part type - conversation_attribute_updated_by_user
- Part type - custom_action_started
- Part type - custom_action_finished
- Part type - operator_workflow_event
{ "type": "side_conversation.list", "side_conversations": [ { … } ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 25, "total_pages": 1 } }